org.jfree.chart.event

## Class RendererChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jfree.chart.event.ChartChangeEvent
    - - org.jfree.chart.event.RendererChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class RendererChangeEvent
    extends ChartChangeEvent

An event that can be forwarded to any `RendererChangeListener` to signal a change to a renderer.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`RendererChangeEvent(java.lang.Object renderer)` Creates a new event.
`RendererChangeEvent(java.lang.Object renderer, boolean seriesVisibilityChanged)` Creates a new event.

### Method Summary

Methods
`java.lang.Object` `getRenderer()` Returns the renderer that generated the event.
`boolean` `getSeriesVisibilityChanged()` Returns the flag that indicates whether or not the event relates to a change in series visibility.

### Methods inherited from class org.jfree.chart.event.ChartChangeEvent

`getChart, getType, setChart, setType`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RendererChangeEvent

    public RendererChangeEvent(java.lang.Object renderer)

Creates a new event.

Parameters:
  `renderer` - the renderer that generated the event.

#### RendererChangeEvent

    public RendererChangeEvent(java.lang.Object renderer,
                       boolean seriesVisibilityChanged)

Creates a new event.

Parameters:
  `renderer` - the renderer that generated the event.
  `seriesVisibilityChanged` - a flag that indicates whether or not the event relates to a change in the series visibility flags.

### Method Detail

#### getRenderer

    public java.lang.Object getRenderer()

Returns the renderer that generated the event.

Returns:
  The renderer that generated the event.

#### getSeriesVisibilityChanged

    public boolean getSeriesVisibilityChanged()

Returns the flag that indicates whether or not the event relates to a change in series visibility.

Returns:
  A boolean.
Since:
  1.0.13